<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.5.1.final using JasperReports Library version 6.5.1  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="PenerimaanUnit" pageWidth="1550" pageHeight="595" orientation="Landscape" whenNoDataType="AllSectionsNoDetail" columnWidth="1510" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" isIgnorePagination="true" uuid="f3c2c322-7266-4ca3-af03-7e03695ab5f3">
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="mpm-motor"/>
	<property name="net.sf.jasperreports.export.xls.detect.cell.type" value="true"/>
	<property name="com.jaspersoft.studio.unit." value="pixel"/>
	<parameter name="date_from" class="java.lang.String"/>
	<parameter name="date_thru" class="java.lang.String"/>
	<parameter name="namacabang" class="java.lang.String"/>
	<parameter name="type" class="java.lang.String">
		<defaultValueExpression><![CDATA[1]]></defaultValueExpression>
	</parameter>
	<queryString language="SQL">
		<![CDATA[exec [rptPenerimaan] $P{date_from}, $P{date_thru}, $P{namacabang}, $P{type}]]>
	</queryString>
	<field name="idproduct" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="idproduct"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="sales_unit_requirement"/>
	</field>
	<field name="DateSPG" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="DateSPG"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="shipment_receipt"/>
	</field>
	<field name="NoSPG" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="NoSPG"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="shipment"/>
	</field>
	<field name="TglSLPL" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="TglSLPL"/>
	</field>
	<field name="NoSLPL" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="NoSLPL"/>
	</field>
	<field name="NoINV" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="NoINV"/>
	</field>
	<field name="KodeTipe" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="KodeTipe"/>
	</field>
	<field name="DescTipe" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="DescTipe"/>
	</field>
	<field name="MarketName" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="MarketName"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="motor"/>
	</field>
	<field name="Warna" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="Warna"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="feature"/>
	</field>
	<field name="Noka" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="Noka"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="shipment_item"/>
	</field>
	<field name="Nosin" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="Nosin"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="shipment_item"/>
	</field>
	<field name="Qty" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.label" value="Qty"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="shipment_receipt"/>
	</field>
	<field name="namaCabang" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="namaCabang"/>
	</field>
	<variable name="Noka1" class="java.lang.Integer" resetType="Column" calculation="Count">
		<variableExpression><![CDATA[$F{Noka}]]></variableExpression>
	</variable>
	<variable name="NoSPG1" class="java.lang.Integer" resetType="Column" calculation="DistinctCount">
		<variableExpression><![CDATA[$F{NoSPG}]]></variableExpression>
	</variable>
	<variable name="NoSPG2" class="java.lang.Integer" calculation="Count">
		<variableExpression><![CDATA[$F{NoSPG}]]></variableExpression>
	</variable>
	<variable name="NoSPG3" class="java.lang.Integer" calculation="DistinctCount">
		<variableExpression><![CDATA[$F{NoSPG}]]></variableExpression>
	</variable>
	<variable name="Noka2" class="java.lang.Integer" calculation="DistinctCount">
		<variableExpression><![CDATA[$F{Noka}]]></variableExpression>
	</variable>
	<background>
		<band splitType="Stretch"/>
	</background>
	<columnHeader>
		<band height="100" splitType="Stretch">
			<staticText>
				<reportElement x="0" y="0" width="448" height="17" uuid="ce6061e1-3ee2-4158-9efa-54dce87b5941">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<textElement>
					<font fontName="Tahoma" size="11" isBold="true"/>
				</textElement>
				<text><![CDATA[PT. MITRA PINASTHIKA MUSTIKA]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="17" width="448" height="17" uuid="3bd3d6bb-743b-4168-b2c4-cd1513b7b511">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<textElement>
					<font fontName="Tahoma" size="11" isBold="true"/>
				</textElement>
				<text><![CDATA[LAPORAN HARIAN PENERIMAAN]]></text>
			</staticText>
			<staticText>
				<reportElement x="28" y="77" width="60" height="23" backcolor="#FFFFFF" uuid="8195807c-c6cf-46fd-9db2-922bc8c59b66">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[TGL SPG]]></text>
			</staticText>
			<staticText>
				<reportElement x="88" y="77" width="137" height="23" backcolor="#FFFFFF" uuid="ca4b6ad0-4fe7-4052-a13d-f23cc313f419">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[NO SPG]]></text>
			</staticText>
			<staticText>
				<reportElement x="225" y="77" width="60" height="23" backcolor="#FFFFFF" uuid="4391d2b6-2ff2-47a4-9104-c2daa1050f2e">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[TGL SL/PS]]></text>
			</staticText>
			<staticText>
				<reportElement x="285" y="77" width="163" height="23" backcolor="#FFFFFF" uuid="bf013fd6-f77b-4f44-b40e-cbb85c92e7b8">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[NO SL/PS]]></text>
			</staticText>
			<staticText>
				<reportElement x="448" y="77" width="156" height="23" backcolor="#FFFFFF" uuid="3f0b679d-c7f1-419b-ab1a-123a006a595a">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[NO INV]]></text>
			</staticText>
			<staticText>
				<reportElement x="604" y="77" width="88" height="23" backcolor="#FFFFFF" uuid="9e9ada78-98d0-4835-816a-e91ada51eee3">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="6" isBold="false"/>
				</textElement>
				<text><![CDATA[KODE TIPE / GROUP TIPE]]></text>
			</staticText>
			<staticText>
				<reportElement x="692" y="77" width="110" height="23" backcolor="#FFFFFF" uuid="103ab5d8-40b7-4bbc-8fed-18dde24d559a">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[DESKRIPSI TIPE / PART NUMBER]]></text>
			</staticText>
			<staticText>
				<reportElement x="802" y="77" width="131" height="23" backcolor="#FFFFFF" uuid="a0546f24-6997-4aa3-981c-1aa0e3109053">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[MARKET NAME / PART NAME]]></text>
			</staticText>
			<staticText>
				<reportElement x="933" y="77" width="64" height="23" backcolor="#FFFFFF" uuid="f4a58ea3-bb84-46ce-a13f-cca2759eeb5d">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[WARNA]]></text>
			</staticText>
			<staticText>
				<reportElement x="997" y="77" width="120" height="23" backcolor="#FFFFFF" uuid="cf7fa5f8-e341-41de-9dcc-38487b8efe94">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[NO RANGKA]]></text>
			</staticText>
			<staticText>
				<reportElement x="1117" y="77" width="113" height="23" backcolor="#FFFFFF" uuid="0fca4503-d251-473f-96fc-5fc2a0313d01">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[NO MESIN]]></text>
			</staticText>
			<staticText>
				<reportElement x="1230" y="77" width="70" height="23" backcolor="#FFFFFF" uuid="7f650061-17b7-4819-94b8-d97d67ac7ab0">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[QTY]]></text>
			</staticText>
			<textField>
				<reportElement x="0" y="51" width="448" height="26" uuid="d69b91c8-9cdc-4ead-8717-45cf31929eaa">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{namaCabang}]]></textFieldExpression>
			</textField>
			<textField pattern="dd-MMMM-YYYY">
				<reportElement x="0" y="34" width="448" height="17" uuid="35bce753-3bb2-47bc-9b88-ef9dc655068c">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA["Tanggal Dari : " + $P{date_from} + "  Sampai : " + $P{date_thru}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="77" width="28" height="23" uuid="1b256821-eb62-4767-b31e-6a988912e060">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[No]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="23" splitType="Stretch">
			<textField pattern="dd-MMMM-YYYY">
				<reportElement x="28" y="0" width="60" height="23" uuid="f0e4d4df-cf53-4c8f-ba73-1b1e62dd6483">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="85b784a6-7ada-4c04-94a6-6046ca43bd69"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{DateSPG}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="88" y="0" width="137" height="23" uuid="2530990b-9e18-46f7-82b0-5e73fe74e600">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="c8f9ce39-251b-4a43-92c2-88f93f267169"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{NoSPG}]]></textFieldExpression>
			</textField>
			<textField pattern="dd-MMMM-YYYY" isBlankWhenNull="true">
				<reportElement x="225" y="0" width="60" height="23" uuid="3b058a88-63eb-4215-9b2d-304645c14b7c">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="7c0309bd-4d9a-4162-b6b7-31744e9a07ba"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{TglSLPL}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="285" y="0" width="163" height="23" uuid="cd8344cd-5c61-4e7d-b2d4-7f8425b29969">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="a9807ec3-dc68-4968-9463-f13096ba9913"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{NoSLPL}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="448" y="0" width="156" height="23" uuid="004587d5-966d-481a-a71e-1c3c8424abd3">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="c8a884bf-6309-43f7-94b8-1909784e7762"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{NoINV}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="604" y="0" width="88" height="23" uuid="6c7c701c-354c-4cb9-8326-4ec8d271bfca">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="b5caebc0-6cbe-4903-9d27-45908306ab9d"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{KodeTipe}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="692" y="0" width="110" height="23" uuid="48cab8cd-e639-48d6-aac3-c467eb23317b">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="4943ef93-3167-40c8-805c-a20c23095551"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{DescTipe}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="802" y="0" width="131" height="23" uuid="cce73ae7-7029-4dba-a306-1a5e7a9a3a05">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="716430a8-885d-4b56-b662-1362a88409f8"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{MarketName}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="933" y="0" width="64" height="23" uuid="5f8eb6f4-18e9-42e2-8522-53cf62e45127">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="7b3ff1be-7d05-43d0-8e46-0a707ea542ed"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Warna}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="997" y="0" width="120" height="23" uuid="ae71f639-e270-4fe4-9d0b-5a3eb919cb24">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="21cc834d-242d-4e18-bd9f-855873d6c47d"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Noka}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="1117" y="0" width="113" height="23" uuid="51f84a27-e5e8-4f19-8aad-9cd83c06748c">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="9d03f27f-8403-42c8-972e-10a31bbd507a"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Nosin}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="1230" y="0" width="70" height="23" uuid="2ab8ed89-c1bf-433c-a105-9c564e70f20c">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="18253556-5f12-4e10-a092-8ecc10d8c146"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Qty}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="0" y="0" width="28" height="23" uuid="bd777be6-a0c9-4569-9974-3ec81379d576">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{NoSPG2}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<summary>
		<band height="255">
			<staticText>
				<reportElement x="0" y="44" width="448" height="17" uuid="33302e14-3685-4ba6-be92-5dc984612fd9">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<textElement>
					<font fontName="Tahoma" size="11" isBold="true"/>
				</textElement>
				<text><![CDATA[LAPORAN HARIAN PENERIMAAN (ANTAR CABANG)]]></text>
			</staticText>
			<staticText>
				<reportElement x="28" y="78" width="60" height="20" backcolor="#FFFFFF" uuid="a2ea8f12-c4bf-44e5-98aa-47ecf2162436">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[TGL SPG]]></text>
			</staticText>
			<staticText>
				<reportElement x="88" y="78" width="137" height="20" backcolor="#FFFFFF" uuid="72295e58-679e-4f18-abd8-f197e33eca59">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[NO SPG]]></text>
			</staticText>
			<staticText>
				<reportElement x="225" y="78" width="60" height="20" backcolor="#FFFFFF" uuid="fa5d72a7-010e-47ee-a60d-ae78423d6b9d">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[TGL SL/PS]]></text>
			</staticText>
			<staticText>
				<reportElement x="285" y="78" width="163" height="20" backcolor="#FFFFFF" uuid="fce9f9cc-5c46-45ec-9c5c-ca235ac919c0">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[NO SL/PL]]></text>
			</staticText>
			<staticText>
				<reportElement x="448" y="78" width="156" height="20" backcolor="#FFFFFF" uuid="10a14e75-e3d9-4a02-87a9-996716e34387">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[NO INV]]></text>
			</staticText>
			<staticText>
				<reportElement x="604" y="78" width="88" height="20" backcolor="#FFFFFF" uuid="033db378-dd4c-4670-8713-4a687fd79d65">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="6" isBold="false"/>
				</textElement>
				<text><![CDATA[KODE TIPE / GROUP TIPE]]></text>
			</staticText>
			<staticText>
				<reportElement x="692" y="78" width="110" height="20" backcolor="#FFFFFF" uuid="eadceb63-5864-43b7-96c8-0f992a9db1aa">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[DESKRIPSI TIPE / PART NUMBER]]></text>
			</staticText>
			<staticText>
				<reportElement x="802" y="78" width="131" height="20" backcolor="#FFFFFF" uuid="7d31dfcc-69c2-4c00-a62a-611cb7fd20d0">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[MARKET NAME / PART NAME]]></text>
			</staticText>
			<staticText>
				<reportElement x="997" y="78" width="120" height="20" backcolor="#FFFFFF" uuid="62809753-89d8-4c83-a6f7-075e8e566a3b">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[NO RANGKA]]></text>
			</staticText>
			<staticText>
				<reportElement x="1117" y="78" width="113" height="20" backcolor="#FFFFFF" uuid="add7c8ad-f915-4b44-a7bc-db89b3a00a64">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[NO MESIN]]></text>
			</staticText>
			<staticText>
				<reportElement x="1230" y="78" width="70" height="20" backcolor="#FFFFFF" uuid="b285bece-7fa2-4e37-a041-009341b64bf5">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[QTY]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="78" width="28" height="20" uuid="d545ddc4-a55a-449c-a28b-28cf429e152b">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[No]]></text>
			</staticText>
			<textField>
				<reportElement x="0" y="0" width="1300" height="20" uuid="fa21f047-c4fe-4e9b-9034-7c0f8684a732">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA["Total  :  "+$V{COLUMN_COUNT}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="98" width="1300" height="22" uuid="cb533e51-262a-460f-976a-1875975a0d2c">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<text><![CDATA[]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="120" width="1300" height="20" uuid="7d87fc29-311a-4b3b-ae6a-5a2d3a50a17b">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<text><![CDATA[Total  :]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="159" width="448" height="17" uuid="2ca9ab79-2273-4db2-a256-def9eb128fe8">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<textElement>
					<font fontName="Tahoma" size="11" isBold="true"/>
				</textElement>
				<text><![CDATA[LAPORAN HARIAN PENERIMAAN  (RETURN)]]></text>
			</staticText>
			<staticText>
				<reportElement x="28" y="193" width="60" height="20" backcolor="#FFFFFF" uuid="cac1b0de-504c-4c2f-bf0e-efd97fb21b21">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[TGL SPG]]></text>
			</staticText>
			<staticText>
				<reportElement x="88" y="193" width="137" height="20" backcolor="#FFFFFF" uuid="aa56f215-88b3-4c5c-9f83-c160256b04f9">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[NO SPG]]></text>
			</staticText>
			<staticText>
				<reportElement x="225" y="193" width="60" height="20" backcolor="#FFFFFF" uuid="8e54150c-b54f-4b64-a0b9-f6f56db1bb63">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[TGL SL]]></text>
			</staticText>
			<staticText>
				<reportElement x="285" y="193" width="163" height="20" backcolor="#FFFFFF" uuid="51e11dc9-651c-4c54-b114-d092dad9b63c">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[NO SL]]></text>
			</staticText>
			<staticText>
				<reportElement x="448" y="193" width="156" height="20" backcolor="#FFFFFF" uuid="5d731b90-a5b9-47eb-a49d-6cfa0505a601">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[NO INV]]></text>
			</staticText>
			<staticText>
				<reportElement x="604" y="193" width="88" height="20" backcolor="#FFFFFF" uuid="4c4b9ad0-e274-4fe4-912d-bcf90b88c035">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[LOKASI]]></text>
			</staticText>
			<staticText>
				<reportElement x="802" y="193" width="131" height="20" backcolor="#FFFFFF" uuid="a255cbe2-fcd2-4d68-8792-36a15de21722">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="7" isBold="false"/>
				</textElement>
				<text><![CDATA[DESKRIPSI TIPE / PART NUMBER]]></text>
			</staticText>
			<staticText>
				<reportElement x="933" y="193" width="184" height="20" backcolor="#FFFFFF" uuid="9a5adbeb-e9cc-44be-ad4a-1f90ca834d40">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[MARKET NAME / PART NAME]]></text>
			</staticText>
			<staticText>
				<reportElement x="1117" y="193" width="113" height="20" backcolor="#FFFFFF" uuid="5013931d-73c5-4551-bb3b-1b2488717251">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[WARNA]]></text>
			</staticText>
			<staticText>
				<reportElement x="1230" y="193" width="70" height="20" backcolor="#FFFFFF" uuid="d81b5c7b-a79c-47be-b8cb-418b428fdff3">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[NO RANGKA]]></text>
			</staticText>
			<staticText>
				<reportElement x="1300" y="193" width="100" height="20" backcolor="#FFFFFF" uuid="1acaea8c-3eeb-4d1c-80f8-3515b088f122">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[NO MESIN]]></text>
			</staticText>
			<staticText>
				<reportElement x="1400" y="193" width="69" height="20" backcolor="#FFFFFF" uuid="eabf7667-eb50-4e27-ae9a-6701a2b4aa63">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[Keterangan]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="193" width="28" height="20" uuid="7f740559-987e-4329-907f-7b6aa8ab0e15">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[No]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="213" width="1469" height="22" uuid="1fb25d67-c4c3-4ebb-98d3-9df27e3bca94">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<text><![CDATA[]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="235" width="1469" height="20" uuid="d1aca310-fc65-4004-bdfc-fbd7a9de4aae">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<text><![CDATA[Total  :]]></text>
			</staticText>
			<textField pattern="dd-MMMM-YYYY">
				<reportElement x="0" y="61" width="448" height="17" uuid="f6001d01-e003-4024-b0d0-ef21e5a3e97b">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA["Tanggal Dari : " + $P{date_from} + "  Sampai : " + $P{date_thru}]]></textFieldExpression>
			</textField>
			<textField pattern="dd-MMMM-YYYY">
				<reportElement x="0" y="176" width="448" height="17" uuid="7636fc0c-e541-49e1-85a9-8cdd0648c4f4">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA["Tanggal Dari : " + $P{date_from} + "  Sampai : " + $P{date_thru}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="692" y="193" width="110" height="20" backcolor="#FFFFFF" uuid="f59596e9-1242-4a59-bfed-dcd818ef4ffb">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="6" isBold="false"/>
				</textElement>
				<text><![CDATA[KODE TIPE / GROUP TIPE]]></text>
			</staticText>
			<staticText>
				<reportElement x="933" y="78" width="64" height="20" backcolor="#FFFFFF" uuid="2ff34685-4559-483b-a79a-cbc9ccf6bec0">
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[WARNA]]></text>
			</staticText>
		</band>
	</summary>
</jasperReport>
